org.apache.ode.bpel.pmapi

## Class TProcessStatus.Factory

- java.lang.Object
- - org.apache.ode.bpel.pmapi.TProcessStatus.Factory

- Enclosing interface:
    TProcessStatus

      public static final class TProcessStatus.Factory
      extends java.lang.Object

  A factory class with static methods for creating instances of this type.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TProcessStatus` | `newInstance()`
    `static TProcessStatus` | `newInstance(org.apache.xmlbeans.XmlOptions options)`
    `static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. `XMLInputStream`
    `static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis, org.apache.xmlbeans.XmlOptions options)` Deprecated. `XMLInputStream`
    `static TProcessStatus` | `newValue(java.lang.Object obj)`
    `static TProcessStatus` | `parse(java.io.File file)`
    `static TProcessStatus` | `parse(java.io.File file, org.apache.xmlbeans.XmlOptions options)`
    `static TProcessStatus` | `parse(java.io.InputStream is)`
    `static TProcessStatus` | `parse(java.io.InputStream is, org.apache.xmlbeans.XmlOptions options)`
    `static TProcessStatus` | `parse(org.w3c.dom.Node node)`
    `static TProcessStatus` | `parse(org.w3c.dom.Node node, org.apache.xmlbeans.XmlOptions options)`
    `static TProcessStatus` | `parse(java.io.Reader r)`
    `static TProcessStatus` | `parse(java.io.Reader r, org.apache.xmlbeans.XmlOptions options)`
    `static TProcessStatus` | `parse(java.lang.String xmlAsString)`
    `static TProcessStatus` | `parse(java.lang.String xmlAsString, org.apache.xmlbeans.XmlOptions options)`
    `static TProcessStatus` | `parse(java.net.URL u)`
    `static TProcessStatus` | `parse(java.net.URL u, org.apache.xmlbeans.XmlOptions options)`
    `static TProcessStatus` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. `XMLInputStream`
    `static TProcessStatus` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis, org.apache.xmlbeans.XmlOptions options)` Deprecated. `XMLInputStream`
    `static TProcessStatus` | `parse(javax.xml.stream.XMLStreamReader sr)`
    `static TProcessStatus` | `parse(javax.xml.stream.XMLStreamReader sr, org.apache.xmlbeans.XmlOptions options)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValue

          public static TProcessStatus newValue(java.lang.Object obj)

    - #### newInstance

          public static TProcessStatus newInstance()

    - #### newInstance

          public static TProcessStatus newInstance(org.apache.xmlbeans.XmlOptions options)

    - #### parse

          public static TProcessStatus parse(java.lang.String xmlAsString)
                                      throws org.apache.xmlbeans.XmlException

      Parameters:
        `xmlAsString` - the string value to parse
      Throws:
        `org.apache.xmlbeans.XmlException`

    - #### parse

          public static TProcessStatus parse(java.lang.String xmlAsString,
                             org.apache.xmlbeans.XmlOptions options)
                                      throws org.apache.xmlbeans.XmlException

      Throws:
        `org.apache.xmlbeans.XmlException`

    - #### parse

          public static TProcessStatus parse(java.io.File file)
                                      throws org.apache.xmlbeans.XmlException,
                                             java.io.IOException

      Parameters:
        `file` - the file from which to load an xml document
      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TProcessStatus parse(java.io.File file,
                             org.apache.xmlbeans.XmlOptions options)
                                      throws org.apache.xmlbeans.XmlException,
                                             java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TProcessStatus parse(java.net.URL u)
                                      throws org.apache.xmlbeans.XmlException,
                                             java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TProcessStatus parse(java.net.URL u,
                             org.apache.xmlbeans.XmlOptions options)
                                      throws org.apache.xmlbeans.XmlException,
                                             java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TProcessStatus parse(java.io.InputStream is)
                                      throws org.apache.xmlbeans.XmlException,
                                             java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TProcessStatus parse(java.io.InputStream is,
                             org.apache.xmlbeans.XmlOptions options)
                                      throws org.apache.xmlbeans.XmlException,
                                             java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TProcessStatus parse(java.io.Reader r)
                                      throws org.apache.xmlbeans.XmlException,
                                             java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TProcessStatus parse(java.io.Reader r,
                             org.apache.xmlbeans.XmlOptions options)
                                      throws org.apache.xmlbeans.XmlException,
                                             java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `java.io.IOException`

    - #### parse

          public static TProcessStatus parse(javax.xml.stream.XMLStreamReader sr)
                                      throws org.apache.xmlbeans.XmlException

      Throws:
        `org.apache.xmlbeans.XmlException`

    - #### parse

          public static TProcessStatus parse(javax.xml.stream.XMLStreamReader sr,
                             org.apache.xmlbeans.XmlOptions options)
                                      throws org.apache.xmlbeans.XmlException

      Throws:
        `org.apache.xmlbeans.XmlException`

    - #### parse

          public static TProcessStatus parse(org.w3c.dom.Node node)
                                      throws org.apache.xmlbeans.XmlException

      Throws:
        `org.apache.xmlbeans.XmlException`

    - #### parse

          public static TProcessStatus parse(org.w3c.dom.Node node,
                             org.apache.xmlbeans.XmlOptions options)
                                      throws org.apache.xmlbeans.XmlException

      Throws:
        `org.apache.xmlbeans.XmlException`

    - #### parse

          @Deprecated
          public static TProcessStatus parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                                      throws org.apache.xmlbeans.XmlException,
                                             org.apache.xmlbeans.xml.stream.XMLStreamException

      Deprecated. `XMLInputStream`
      Throws:
        `org.apache.xmlbeans.XmlException`
        `org.apache.xmlbeans.xml.stream.XMLStreamException`

    - #### parse

          @Deprecated
          public static TProcessStatus parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                        org.apache.xmlbeans.XmlOptions options)
                                      throws org.apache.xmlbeans.XmlException,
                                             org.apache.xmlbeans.xml.stream.XMLStreamException

      Deprecated. `XMLInputStream`
      Throws:
        `org.apache.xmlbeans.XmlException`
        `org.apache.xmlbeans.xml.stream.XMLStreamException`

    - #### newValidatingXMLInputStream

          @Deprecated
          public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                                                                                           throws org.apache.xmlbeans.XmlException,
                                                                                                  org.apache.xmlbeans.xml.stream.XMLStreamException

      Deprecated. `XMLInputStream`
      Throws:
        `org.apache.xmlbeans.XmlException`
        `org.apache.xmlbeans.xml.stream.XMLStreamException`

    - #### newValidatingXMLInputStream

          @Deprecated
          public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                                                                             org.apache.xmlbeans.XmlOptions options)
                                                                                           throws org.apache.xmlbeans.XmlException,
                                                                                                  org.apache.xmlbeans.xml.stream.XMLStreamException

      Deprecated. `XMLInputStream`
      Throws:
        `org.apache.xmlbeans.XmlException`
        `org.apache.xmlbeans.xml.stream.XMLStreamException`